### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-navigation-list/ecl-navigation-list-image.directive.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

Selector | `[eclNavigationListImage]`

### Index

###### Properties
Public backgroundImage role
###### Methods
getCssClasses
###### Inputs
ariaLabel imageUrl class e2eAttr
###### HostBindings
attr.role class style.background-image
###### Accessors
cssClasses

### Inputs

ariaLabel
Type : `string`
Default value : `'image'`

imageUrl
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

attr.role
Type : `string`
Default value : `'img'`

class
Type : `any`

style.background-image
Type : `string`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

Public backgroundImage
Type : `string`
Decorators : `@HostBinding('style.background-image')`

role
Type : `string`
Default value : `'img'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""